Firefox 48 and up are not supported by Selenium 2 anymore


#1

Starting with Firefox 48, all Firefix add-ons must be signed and this signature check cannot be turned off anymore. Since FirefoxDriver uses an add-on internally that is not signed, it won’t work with Firefox 48+.

See the defect entry: https://github.com/SeleniumHQ/selenium/issues/25592

Until Selenium 3 is out that uses a new driver, please use Firefox 45 ESR for all your tests in the meantime.

Script Developer is not affected, so you can at least partially still run test against the latest Firefox.


pinned #2